import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixButtonPage extends StatefulWidget {
  const PhoenixButtonPage({Key? key}) : super(key: key);

  @override
  State<PhoenixButtonPage> createState() => _PhoenixButtonPage();
}

class _PhoenixButtonPage extends State<PhoenixButtonPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Button Sample App'),
      ),
      body: PhoenixButton(
        ///required
        text: "Click Me !!",

        ///optional
        buttonColor: Colors.red,
        textColor: Colors.white,
        buttonElevation: 0.5,
        textScaleFactor: 1.0,
        textAlign: TextAlign.center,
        fontSize: 16.0,
        fontWeight: FontWeight.bold,
        radius: 10.0,
        disableButtonColor: Colors.blue,
        marginLeft: 10.0,
        marginRight: 10.0,
        marginTop: 10.0,
        marginBottom: 10.0,
        // paddingTop: 10.0,
        // paddingBottom: 10.0,
        // paddingLeft: 10.0,
        // paddingRight: 10.0,
        // height: 100,
        // width: double.infinity,
        onPressed: () {
          ScaffoldMessenger.of(context).showSnackBar(const SnackBar(
            content: Text("Button Clicked"),
          ));
        },
      ),
    );
  }
}
